Bug 187967 - ATI IXP Soundcard/ Modem Chipset
ATI IXP Soundcard/ Modem Chipset
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-04 18:51 EDT by Michael Chamberlin
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-27 07:57:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SCSound Log (5.38 KB, application/octet-stream)
2006-04-04 18:51 EDT, Michael Chamberlin
no flags Details
Output of /proc/interrupts on Asus A6R notebook. (617 bytes, text/plain)
2006-04-14 06:27 EDT, Marcus Smit
no flags Details
scsound.log from Victor Bogado's laptop (5.79 KB, text/plain)
2006-06-07 20:35 EDT, Victor Bogado
no flags Details

  None (edit)
Description Michael Chamberlin 2006-04-04 18:51:54 EDT
Description of problem: I have a laptop (Acer TM2200).  The chipset for the
sound card/ modem is an ATI IXP 150 chipset. When I built the laptop, the sound
worked fine until I rebooted. I tryed to see what was going on, I noticed that
the soundcard and the modem (being the same chip set) have the same IRQ(17). I
could care less for using the modem.


Version-Release number of selected component (if applicable):
2.6.15-1.2054_FC5

How reproducible:


Steps to Reproduce:
1.Series of reboots
2.
3.
  
Actual results:
Nothing

Expected results:
Sound working 

Additional info: Attached I have included the scsound.log file.
Comment 1 Michael Chamberlin 2006-04-04 18:51:54 EDT
Created attachment 127317 [details]
SCSound Log
Comment 2 Martin Stransky 2006-04-05 09:16:16 EDT
Could you please attach /proc/interrupts? You can check unload modem driver
(snd_atiixp_modem) and use only snd_atiixp driver for your sound card. Or you
can check the new ALSA drivers, how-to is here:
http://people.redhat.com/stransky/alsa

The next one could by some interrupt tunning (like acpi=off kernel parameter)
Comment 3 Marcus Smit 2006-04-14 06:27:48 EDT
Created attachment 127741 [details]
Output of /proc/interrupts on Asus A6R notebook.

Output of /proc/interrupts
Comment 4 Marcus Smit 2006-04-14 06:31:07 EDT
Comment on attachment 127741 [details]
Output of /proc/interrupts on Asus A6R notebook.

I have the same problem with the ATI Sounddriver on an Asus A6R notebook.
Sounddriver ATI IXP is used, but no sound comes out of the speaker.
Comment 5 Victor Bogado 2006-06-07 20:35:04 EDT
Created attachment 130716 [details]
scsound.log from Victor Bogado's laptop

I have a similar problem, it seems to me that alsa is insisting in using the
modem as a sound card. Both the modules snd-atixp and snd-atixp-modem are
loaded and the mixer only shows the options for "modem speaker", instead of the
several level it should show. 

This problem started recently, I think this could be a problem with an updated
kernel, I'm using the 2.6.16-1.2122_FC5 version now. 

The config-system-soundcard application shows no names in the drop-down that
should contain the names of the sound cards that are present. I am attaching
the log to this submision.
Comment 6 Martin Stransky 2006-06-30 10:50:09 EDT
(In reply to comment #5)
> I have a similar problem, it seems to me that alsa is insisting in using the
> modem as a sound card. Both the modules snd-atixp and snd-atixp-modem are
> loaded and the mixer only shows the options for "modem speaker", instead of the
> several level it should show. 

ALSA has not recognized your soundcard, only the modem device has been detected.
You can check the new drivers from my page
(http://people.redhat.com/stransky/alsa/) or report your bug to alsa-project
site (www.alsa-project.org)

Note You need to log in before you can comment on or make changes to this bug.